一昨日は悔しい思いをしたのでw、OpenSSLのDebian鍵脆弱性の時に作ったUbuntu環境を引っ張りだしてきて、pathfinderをインストールしてみることにした。

以下、備忘録的に、、、

% aptitude install openssh-server
■ D-Busのビルドに必要そうなパッケージのインストール
% apt-get install -s dbus (1.1.20だったので古すぎ)パッケージは使わなかった
% apt-get install autoconf
% apt-get install automake
% apt-get install libtool
% apt-get install expat
% apt-get install libexpat1-dev
■ D-Busのビルド
% ./configure
% make >& make.log &
% tail -f make.log
% make install
■ WvStreamsのビルドとインストール
% ./configure
Configure: error: C++ preprocessor "/lib/cpp" と出たので以下を実行
% apt-get install g++
% apt-get install libssl-dev
% make >& make.log &
% tail -f make.log
% make install
■ pathfinderのビルドとインストール


途中、パッケージのインストール中で再起動を求められたんですが、再起動後ネットワークアダプタが認識されなくなってしまいました。orz

どうやらD-Busが悪さをしているようです。結局、pathfinderのインストールまで辿りつけませんでした。

かなり心が折れている、、、

たかがパス検証なのに、どうしてこんなにも、どうでもよいパッケージに依存しているのかと、、、